Extraction Sets
Create an extraction set
Set names are unique per account.
POST
/
extraction-sets
Create an extraction set
curl --request POST \
--url https://api.vocobase.com/api/v2/extraction-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Renewal outcomes",
"description": "Fields every renewal call should return",
"keys": [
{
"name": "will_renew",
"type": "boolean",
"description": "Did the customer commit to renewing?"
},
{
"name": "objection",
"type": "string",
"description": "Main reason given for not renewing."
},
{
"name": "callback_date",
"type": "date",
"description": "Date the customer asked to be called back."
}
]
}
'import requests
url = "https://api.vocobase.com/api/v2/extraction-sets"
payload = {
"name": "Renewal outcomes",
"description": "Fields every renewal call should return",
"keys": [
{
"name": "will_renew",
"type": "boolean",
"description": "Did the customer commit to renewing?"
},
{
"name": "objection",
"type": "string",
"description": "Main reason given for not renewing."
},
{
"name": "callback_date",
"type": "date",
"description": "Date the customer asked to be called back."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Renewal outcomes',
description: 'Fields every renewal call should return',
keys: [
{
name: 'will_renew',
type: 'boolean',
description: 'Did the customer commit to renewing?'
},
{
name: 'objection',
type: 'string',
description: 'Main reason given for not renewing.'
},
{
name: 'callback_date',
type: 'date',
description: 'Date the customer asked to be called back.'
}
]
})
};
fetch('https://api.vocobase.com/api/v2/extraction-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "es_8c7b6a59-4837-2615-0493-8271605948af",
"name": "Renewal outcomes",
"description": "Fields every renewal call should return",
"keys": [
{
"name": "will_renew",
"type": "boolean",
"description": "Did the customer commit to renewing?"
},
{
"name": "objection",
"type": "string",
"description": "Main reason given for not renewing."
},
{
"name": "callback_date",
"type": "date",
"description": "Date the customer asked to be called back."
}
],
"created_at": "2026-08-01T12:00:00.000Z",
"updated_at": "2026-08-14T15:30:00.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "agent_name is required and must be max 50 characters"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "DUPLICATE_NAME",
"message": "An extraction set with this name already exists"
}
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}Authorizations
API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.
Body
application/json
⌘I
Create an extraction set
